> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/january-2026/january-25/design-config-for-compact-products.md).

# Design config for compact products

#### What's new

New design configs allow changing the visibility of some elements on the storefront when the compact product view feature is enabled in the store.

#### Changes in API

New boolean configs enable described elements when `true`:

* `product_details_add_to_cart_quantity_compact_view` - Quantity selector for the add to cart button.
* `product_details_description_compact_view` - Product description block.
* `product_details_estimated_delivery_time_compact_view` - Information about the estimated delivery time.

This setting can be enabled as a store config (through the <mark style="color:purple;">`PUT`</mark> `/profile` call) or as a design config setting on the storefront by adding JS/HTML code to your website.

#### Documentation links

{% content-ref url="/spaces/aRJpOy0U8IpbjUfcox4D/pages/4HgyJ1Pa96YaityoEIGR" %}
[Design configs](/storefronts/store-configuration-settings/design-configs.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/january-2026/january-25/design-config-for-compact-products.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
